Subject: Re: bug#64652: 28.2; Adding a property bug on Windows 11

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Jul 2023 15:59:42 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Mattias Engdegård <[email-masked]>,
>  [email-masked],
>  [email-masked], [email-masked]
> Date: Sun, 16 Jul 2023 12:11:39 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I'm just waiting for the horde of irate Turkish Pascal programmers to complain about broken font-lock.
> >
> > That should have happened about 20 years ago.
> 
> Or nobody bothers setting locale environment for Emacs.

That's not possible: Emacs sets the default locale-environment (which
includes language-environment) during startup, using the system's
locale.  Emacs on Windows does the same, just using different system
APIs.

> As we saw in this report, the default locale captured by Emacs from
> Windows only changed in Windows 11.

I'm talking about users of Emacs on Posix machines.  I believe the
Turkish locale existed on GNU/Linux for a long time.